Bug 651706 - X fails to start on dual head setup
Summary: X fails to start on dual head setup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-10 06:45 UTC by ritz
Modified: 2018-04-11 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:16:27 UTC


Attachments (Terms of Use)
Xorg log (29.83 KB, text/plain)
2010-11-10 06:45 UTC, ritz
no flags Details
new Xorg log (142.26 KB, text/plain)
2010-11-10 08:55 UTC, ritz
no flags Details
output of dmesg command (64.00 KB, text/plain)
2010-11-10 08:59 UTC, Matěj Cepl
no flags Details
dmesg - utput of dmesg command AFTER crash but BEFORE reboot (93.10 KB, text/plain)
2010-11-10 09:01 UTC, ritz
no flags Details

Description ritz 2010-11-10 06:45:08 UTC
Created attachment 459329 [details]
Xorg log

Description of problem:
X fails to start on dual head setup, works fine when using laptop+DVI1

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.12.0-6.fc14.1

How reproducible:
always

Steps to Reproduce:
1. X

Actual results:
fails to start

Expected results:
should work fine with VGA1 connected

Additional info:
Works fine on f13, or on f14 if I connect VGA1+LVDS1, or DVI1+LVDS1. Fails if I use DVI1+VGA1


Setup used -> [VGA1][DVI1] [LVDS1 <- stays off]

# xrandr  -q
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1440x900       60.0 +
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected (normal left inverted right x axis y axis)
   1280x1024      60.0 +   75.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
DVI1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      59.9*+
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3

Comment 1 Matěj Cepl 2010-11-10 08:38:48 UTC

*** This bug has been marked as a duplicate of bug 623824 ***

Comment 2 ritz 2010-11-10 08:55:09 UTC
Created attachment 459371 [details]
new Xorg log

issue fixed with upstream xorg-x11-drv-intel-devel-2.13.901 and libdrm-2.4.23-0.1.20101108 . Xorg log attached for the same


snippet from older X log ( with issue )

[   634.585] (==) intel(0): VideoRam: 262144 KB
[   634.585] (EE) intel(0): Front buffer stride 17 kB exceeds display limit
[   634.585] (EE) intel(0): Couldn't allocate initial framebuffer.
[   634.585] 
Fatal server error:
[   634.586] AddScreen/ScreenInit failed for driver 0
[   634.586] 
[   634.586] 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[   634.586] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   634.586]

Comment 3 Matěj Cepl 2010-11-10 08:57:29 UTC
Mea culpa!

Comment 4 Matěj Cepl 2010-11-10 08:59:39 UTC
Created attachment 459372 [details]
output of dmesg command

Comment 5 ritz 2010-11-10 09:01:12 UTC
Created attachment 459373 [details]
dmesg - utput of dmesg command AFTER crash but BEFORE reboot

Comment 6 Stefan Schulze Frielinghaus 2010-12-02 19:39:23 UTC
I have a similar problem like described in here. The external monitor only works if connected via VGA and not DVI. Therefore I would like to give the new intel drivers a shot. Is there a binary for F14 around?

PS: my setup: F14 latest updates from today which means linux-2.6.35.6-48.fc14.x86_64 and xorg-x11-drv-intel-2.12.0-6.fc14.1.x86_64

Comment 7 ritz 2010-12-03 11:35:30 UTC
@Stefan

  Nope. I had rebuilt srpms I had downloaded from http://kojipkgs.fedoraproject.org/packages/xorg-x11-drv-intel/ and http://kojipkgs.fedoraproject.org/packages/libdrm/. 

  $ su -c "yum install rpm-build"
  $ rpmbuild --rebuild <package>

-- ritz

Comment 8 Adam Jackson 2012-01-03 19:50:43 UTC
The joke here is this looks like a triple-head setup, not dual-head.  Which is why it's failing.

Moving to F15 for investigation, I suspect this is still an issue.

Comment 9 Stefan Schulze Frielinghaus 2012-01-03 21:50:11 UTC
(In reply to comment #8)
> I suspect this is still an issue.

At least for me, Yes. Currently I'm using F16 with xorg-x11-drv-intel-2.17.0-4.fc16.x86_64

Comment 10 Fedora End Of Life 2012-08-07 19:16:29 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.